Bug 998 - xterm+mc+F3 - просмотр бинарных файлов при включенной перекодировке
: xterm+mc+F3 - просмотр бинарных файлов при включенной перекодировке
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-06-14 07:33 by
Modified: 2003-08-25 15:18 (History)


Attachments
0000998-press_F3 (deleted)
2002-06-14 07:33, GO
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-06-14 07:33:21
Дистрибутив Мастер, mc-4.5.55-alt7
Эта ошибка проявляется только при запуске mc из xterm,
в других терминалах все нормально. Необходимо в mc установить
Настройки - Биты символов...-Кодировка ввода-вывода в koi8-r
и попробовать пооткрывать к-л двоичные файлы. Пример - прилагаемый файл press_F3. При его просмотре появляется сообщение
Введите регулярное выражение
╛.Fвp`C▓ x 1;2c?1;2c?1;2c?1;2c?1;2c?1;2c?1;2c

---

---

------- Comment #1 From 2002-08-15 21:05:07 -------
Fixed in 4.5.99a
------- Comment #2 From 2002-08-15 21:05:07 -------
Fixed in 4.5.99a